export declare class Bitmap {
    private _bitmap;
    private _transform;
    private _file;
    private _defaultData;
    private _histogram;
    private _grayScale;
    private _rotateAngle;
    private _dataView?;
    private _filter;
    private _undo;
    private _redo;
    constructor(file: File);
    read(callback: any): void;
    saveFile(callback: any): void;
    private encodeHeader;
    private encodeInfoHeader;
    private encodeImageData;
    private enconde24bit;
    private decodeHeader;
    private decodeHeaderInfo;
    private decodePalette;
    private decodeImageData;
    private decodeBit1;
    private decodeBit2;
    private decodeBit4;
    private decodeBit8;
    private decodeBit16;
    private decodeBit24;
    currentData(): Uint8ClampedArray;
    checkCurrentData(): boolean;
    negative(): void;
    rotate90CW(): void;
    rotate180(): void;
    rotate270CW(): void;
    rotate90CCW(): void;
    rotate270CCW(): void;
    verticalFlip(): void;
    horizontalFlip(): void;
    private truncate;
    private rgb2gray;
    equalization(): void;
    brightness(value: number): void;
    contrast(value: number): void;
    private isGrayScale;
    umbralization(minValue: number, maxValue: number): void;
    scale(owidth: number, oheight: number, algorithm: string): void;
    rotate(angle: number): void;
    kernel(width: number, height: number, customKernel?: number[]): void;
    blur(type: string): void;
    edge(type: string): void;
    outline(identity: boolean): void;
    customFilter(): void;
    undo(): boolean;
    redo(): boolean;
    drawProperties(properties: [HTMLElement, HTMLElement, HTMLElement, HTMLElement]): void;
    drawHistogram(canvas_r: HTMLCanvasElement, canvas_g: HTMLCanvasElement, canvas_b: HTMLCanvasElement, canvas_avg: HTMLCanvasElement): void;
    drawOnCanvas(canvas: HTMLCanvasElement, undo_redo?: boolean): void;
    drawOnCanvasWithZoom(canvas: HTMLCanvasElement, zoom: number, algorithm: string): void;
}
